summaryrefslogtreecommitdiffstats
path: root/network/felinks/felinks.SlackBuild
diff options
context:
space:
mode:
author Dave Woodfall <dave@slackbuilds.org>2020-09-12 08:52:02 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-09-12 23:44:59 +0700
commita689188b56c0b494c0aefefdd4d93780d0cf48e7 (patch)
tree7b0e5a18f74d45a4f9c51a8f38238177177febe6 /network/felinks/felinks.SlackBuild
parent69ce7e253e572491a5aea319bd7377d8ae4a08db (diff)
downloadslackbuilds-a689188b56c0b494c0aefefdd4d93780d0cf48e7.tar.gz
slackbuilds-a689188b56c0b494c0aefefdd4d93780d0cf48e7.tar.xz
network/felinks: Added (A fork of Elinks, the web browser).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/felinks/felinks.SlackBuild')
-rw-r--r--network/felinks/felinks.SlackBuild196
1 files changed, 196 insertions, 0 deletions
diff --git a/network/felinks/felinks.SlackBuild b/network/felinks/felinks.SlackBuild
new file mode 100644
index 0000000000..b503d6ed01
--- /dev/null
+++ b/network/felinks/felinks.SlackBuild
@@ -0,0 +1,196 @@
+#!/bin/sh
+
+# Slackware build script for felinks
+# Copyright 2014 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=felinks
+VERSION=${VERSION:-0.13.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+# Added -fno-strict-aliasing -Wno-pointer-sign for a much more peaceful build
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686 -fno-strict-aliasing -Wno-pointer-sign"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686 -fno-strict-aliasing -Wno-pointer-sign"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686 -fno-strict-aliasing -Wno-pointer-sign"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC -fno-strict-aliasing -Wno-pointer-sign"
+ # fix for multilib
+ SLKLDFLAGS="-m64"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+for patch in $CWD/patches/*; do
+ printf "\n%s\n" "Applying Patch $( basename $patch )"
+ patch --verbose -p1 < $patch
+done
+
+## System
+[ "${FASTMEM:-no}" = "yes" ] && fastmem="--enable-fastmem"
+[ "${DEBUG:-no}" = "yes" ] && debug="--enable-debug --disable-fastmem"
+[ "$DEBUG" = "yes" ] && SLKCFLAGS="-ggdb $SLKCFLAGS"
+[ "${CGI:-no}" = "yes" ] && cgi="--enable-cgi"
+[ "${COMBINING:-no}" = "yes" ] && combining="--enable-combining"
+[ "${UTF8:-yes}" = "no" ] && utf8="--disable-utf-8"
+[ "${IPV6:-yes}" = "no" ] && ipv6="--disable-ipv6"
+[ "${HTMLHL:-no}" = "yes" ] && htmlhl="--enable-html-highlight"
+[ "${LZMA:-no}" = "yes" ] && lzma="--with-lzma"
+[ "${TRE:-no}" = "no" ] && tre="--without-tre"
+[ "${BROTLI:-no}" = "no" ] && brotli="--without-brotli"
+[ "${LIBDOM:-no}" = "yes" ] && libdom="--with-libdom"
+[ "${XTERM:-no}" = "no" ] && xterm="--without-xterm"
+[ "$XTERM" = "yes" ] && X11="yes"
+[ "${X11:-no}" = "no" ] && x11="--without-x"
+
+# UI
+[ "${MOUSE:-yes}" = "no" ] && mouse="--disable-mouse"
+[ "${GPM:-yes}" = "no" ] && gpm="--without-gpm"
+[ "${EXMODE:-no}" = "yes" ] && exmode="--enable-exmode"
+
+# Colours
+[ "${COLS88:-no}" = "yes" ] && cols88="--enable-88-colors"
+[ "${COLS256:-no}" = "yes" ] && cols256="--enable-256-colors"
+[ "${COLSTRUE:-no}" = "yes" ] && colstrue="--enable-true-colors"
+
+# Scripting
+[ "${GUILE:-no}" = "yes" ] && guile="--with-guile"
+[ "${PERL:-no}" = "yes" ] && perl="--with-perl"
+[ "${PYTHON:-no}" = "yes" ] && python="--with-python"
+[ "${LUA:-yes}" = "no" ] && lua="--without-lua"
+[ "${ECMA:-yes}" = "no" ] && ecma="--disable-sm-scripting"
+
+# Protocols
+[ "${BITTORRENT:-no}" = "yes" ] && bittorrent="--enable-bittorrent"
+[ "${DATA:-yes}" = "no" ] && data="--disable-data"
+[ "${FSP:-no}" = "yes" ] && fsp="--enable-fsp"
+[ "${FTP:-yes}" = "no" ] && ftp="--disable-ftp"
+[ "${FINGER:-no}" = "yes" ] && finger="--enable-finger"
+[ "${GOPHER:-no}" = "yes" ] && gopher="--enable-gopher"
+[ "${NNTP:-no}" = "yes" ] && nntp="--enable-nntp"
+[ "${SMB:-no}" = "yes" ] && smb="--enable-smb"
+
+./autogen.sh
+CFLAGS="$SLKCFLAGS -L/usr/lib$LIBDIRSUFFIX" \
+LDFLAGS="$SLKLDFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --infodir=/usr/info \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ $fastmem \
+ $debug \
+ $cgi \
+ $combining \
+ $utf8 \
+ $ipv6 \
+ $htmlhl \
+ $lzma \
+ $tre \
+ $brotli \
+ $libdom \
+ $xterm \
+ $x11 \
+ $mouse \
+ $gpm \
+ $exmode \
+ $cols88 \
+ $cols256 \
+ $colstrue \
+ $guile \
+ $perl \
+ $python \
+ $lua \
+ $ecma \
+ $bittorrent \
+ $data \
+ $fsp \
+ $ftp \
+ $finger \
+ $gopher \
+ $nntp \
+ $smb \
+ --build=$ARCH-slackware-linux
+
+ make
+ make install DESTDIR=$PKG
+
+# Don't clobber the one supplied by glibc-i18n.
+rm -f $PKG/usr/share/locale/locale.alias
+
+if [ "$DEBUG" = "no" ]; then
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" |
+ grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+fi
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BUGS COPYING NEWS README SITES THANKS TODO \
+ ChangeLog doc/*txt contrib \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}